sessionCluster:
  restAddress: "$flink_cdc_session_namespace-session-rest"
  restPort: 8081

postgres:
  hostname: "$postgres.hostname"
  port: 5432
  username: "$postgres.username"
  password: "$postgres.password"
  slotName: "$postgres.slotName"
  decodingPlugin: pgoutput
  tables: "$postgres.tables"

pipeline:
  name: "{{ .Name }}-cdc-pipeline"
  parallelism: 2
  checkpointInterval: 60s

sink:
  catalog:
    uri: "$sink.catalog.uri"
    warehouse: "$sink.catalog.warehouse"
    s3Endpoint: "$sink.catalog.s3Endpoint"
    s3PathStyleAccess: "true"
    oauth2Uri: "$KEYCLOAK_URL/realms/$KEYCLOAK_REALM/protocol/openid-connect/token"
    credential: "$LAKEKEEPER_CLIENT_ID:$LAKEKEEPER_CLIENT_SECRET"
    scope: lakekeeper

route:
  - sourceTable: "$route.sourceTable"
    sinkTable: "$route.sinkTable"